People and groups
List detected contributors
List detected contributors
curl --request GET \
--url https://agentgateway.atlan.engineering/registry/v1/detected-users \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agentgateway.atlan.engineering/registry/v1/detected-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://agentgateway.atlan.engineering/registry/v1/detected-users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"detection_status": "<string>",
"email": "<string>",
"workspace_id": "<string>",
"invited_at": "<string>",
"joined_at": "<string>",
"project_ids": [
"<string>"
],
"resolved_email": "<string>",
"resolved_via": "<string>"
}
],
"page": {
"limit": 1,
"offset": 1,
"next_cursor": "<string>",
"total": 1
}
}{
"code": "invalid_query",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
x >= 0Required range:
x >= 0⌘I
List detected contributors
curl --request GET \
--url https://agentgateway.atlan.engineering/registry/v1/detected-users \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agentgateway.atlan.engineering/registry/v1/detected-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://agentgateway.atlan.engineering/registry/v1/detected-users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"detection_status": "<string>",
"email": "<string>",
"workspace_id": "<string>",
"invited_at": "<string>",
"joined_at": "<string>",
"project_ids": [
"<string>"
],
"resolved_email": "<string>",
"resolved_via": "<string>"
}
],
"page": {
"limit": 1,
"offset": 1,
"next_cursor": "<string>",
"total": 1
}
}{
"code": "invalid_query",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}